Package org.eclipse.graphiti.ui.internal.policy

## Class GFNodeEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy
      - - org.eclipse.graphiti.ui.internal.policy.GFNodeEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

    public class GFNodeEditPolicy
    extends org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy

### Field Summary

### Fields inherited from class org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy

`connectionFeedback, feedbackHelper`

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`GFNodeEditPolicy​(IConfigurationProvider configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.draw2d.Connection` `createDummyConnection​(org.eclipse.gef.Request req)`
`void` `eraseSourceFeedback​(org.eclipse.gef.Request request)`
`protected IConfigurationProvider` `getConfigurationProvider()`
`protected org.eclipse.gef.commands.Command` `getConnectionCompleteCommand​(org.eclipse.gef.requests.CreateConnectionRequest request)`
`protected org.eclipse.gef.commands.Command` `getConnectionCreateCommand​(org.eclipse.gef.requests.CreateConnectionRequest request)`
`protected org.eclipse.gef.commands.Command` `getReconnectSourceCommand​(org.eclipse.gef.requests.ReconnectRequest request)`
`protected org.eclipse.gef.commands.Command` `getReconnectTargetCommand​(org.eclipse.gef.requests.ReconnectRequest request)`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy

`deactivate, eraseCreationFeedback, eraseTargetConnectionFeedback, eraseTargetFeedback, getCommand, getDummyConnectionRouter, getFeedbackHelper, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, showCreationFeedback, showSourceFeedback, showTargetConnectionFeedback, showTargetFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`activate, debugFeedback, getHost, setHost, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GFNodeEditPolicy

    public GFNodeEditPolicy​(IConfigurationProvider configurationProvider)

### Method Detail

#### createDummyConnection

    protected org.eclipse.draw2d.Connection createDummyConnection​(org.eclipse.gef.Request req)

Overrides:
  `createDummyConnection` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### eraseSourceFeedback

    public void eraseSourceFeedback​(org.eclipse.gef.Request request)

Specified by:
  `eraseSourceFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseSourceFeedback` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### getConnectionCreateCommand

    protected org.eclipse.gef.commands.Command getConnectionCreateCommand​(org.eclipse.gef.requests.CreateConnectionRequest request)

Specified by:
  `getConnectionCreateCommand` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### getConnectionCompleteCommand

    protected org.eclipse.gef.commands.Command getConnectionCompleteCommand​(org.eclipse.gef.requests.CreateConnectionRequest request)

Specified by:
  `getConnectionCompleteCommand` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### getReconnectTargetCommand

    protected org.eclipse.gef.commands.Command getReconnectTargetCommand​(org.eclipse.gef.requests.ReconnectRequest request)

Specified by:
  `getReconnectTargetCommand` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### getReconnectSourceCommand

    protected org.eclipse.gef.commands.Command getReconnectSourceCommand​(org.eclipse.gef.requests.ReconnectRequest request)

Specified by:
  `getReconnectSourceCommand` in class `org.eclipse.gef.editpolicies.GraphicalNodeEditPolicy`

#### getConfigurationProvider

    protected IConfigurationProvider getConfigurationProvider()